Skip to navigation

Get room status

View as Markdown

Return the canonical room resource.

Authentication

AuthorizationBearer

Send Authorization: Bearer <app_uuid>:<api_key> using an active API key. See Authentication for details.

Path parameters

room_idstringRequired

Case-sensitive room identifier.

Response headers

traceparentstringOptionalformat: "^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$"=55 characters

Server-owned W3C Trace Context for correlating this response with support and observability data. It is present on successful and error responses. A valid incoming traceparent is linked to, but never becomes, the server-owned trace identifier.

Response

Room status
created_atdatetime
participant_countinteger
Current number of participants in the room.
playback_operation_uuidstring
playback_statusenum
Allowed values:
playback_urlslist of strings
playback_volumeinteger0-200Defaults to 0

Current room playback volume (0-200). A newly created room reports 0 until a room playback volume command sets an explicit value.

room_idstring
voice_activity_eventsboolean
Whether participant voice activity webhooks are enabled for this room.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error